# work laptop. Only apply interactively.

nodes['kunsi-seibert-x1'] = {
    'hostname': '172.19.138.243',
    'bundles': {
        'basic',
        'lldp',
        'lm-sensors',
        'nfs-client',
        'pacman',
        'openssh',
        'sudo',
        'systemd',
        'telegraf',
        'users',
    },
    'groups': set(),
    'metadata': {
        'timezone': 'Europe/Berlin',
        'icinga_options': {
            'exclude_from_monitoring': True,
        },
        'locale': {
            'default': 'en_DK.UTF-8',
        },
        'lldp': {
            'hostname': 'fkunsmann-seibertmedia',
        },
        'nfs-client': {
            'mounts': {
                'nas-storage': {
                    'mountpoint': '/mnt/nas',
                    'serverpath': '172.19.138.20:/storage/nas',
                    'mount_options': {
                        'retry=0',
                        'ro',
                    },
                },
            },
        },
        'pacman': {
            'install_gui': True,
        },
        'telegraf': {
            'influxdb_url': 'https://influxdb.kunsmann.eu/',
            'influxdb_token': vault.decrypt('encrypt$gAAAAABgg9Ag632Xyuc6SWXaR1uH2tLOChmVKAoBIikhjntSSD2qJFL_eouVQGXCLH2HEuSbSdEXcTPn2qmhOiA9jmFdoDSbVbQUsp0EID1wLsWYG_Um2KOxZSF-tn9eDZlgShQYySjzO3nQRmdlJpVLUnGHsiwv_sHD2FstXGpfzTPZq5_egUqEc0K2X-aN2J6BTYc2fZAN'),
            'influxdb_org': vault.decrypt('encrypt$gAAAAABgg9hyjz4XtvG8NBw9uYxiumS3v7YKIrtc9tTTABg1f9R22gzn55q8ULP9X3wlsPMUQs_DH7CgGv9neYmvVAriRoyd8g=='),
            'influxdb_bucket': vault.decrypt('encrypt$gAAAAABgg9iMnq0nKpODMiMN4NtUw231iqpbyDXV-O8epOAGDSL4jcf3CaSa2bLZzH2fJFaKWjW-dpVd384x6KqSQU19XpfsWA=='),
        },
        'users': {
            'kunsi': {
                'password': vault.decrypt('encrypt$gAAAAABgLmmuQGRUStrQawoPee-758emIYn2u8-8ebrgzNAFSp7ifeFDdXXvs-zL3QogwNYlCtBHboH2xfy1rSj6OF5bbNO-tg=='),
                'shell': '/usr/bin/fish',
                'ssh_pubkey': {
                    # work key
                    'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAICYst1HK+gJYhNxzqJGnz4iB73pa89Xz2yH+8wufOcsA',
                },
            },
            'sophie': {
                'delete': True,
            },
        },
    },
    'os': 'arch',
}
